> ## Documentation Index
> Fetch the complete documentation index at: https://docs.centure.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Scan Image for Prompt Injection

<Info>
  Learn more about the risk categories returned by this endpoint in [Risk Classifications](/security/risk-classifications).
</Info>


## OpenAPI

````yaml POST /v1/prompt-injection/image
openapi: 3.0.0
info:
  title: Centure API
  version: 1.0.0
  description: API for prompt injection detection
servers: []
security: []
paths:
  /v1/prompt-injection/image:
    post:
      tags:
        - Prompt Injection
      summary: Scan image for prompt injection
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                image:
                  type: string
                  description: >-
                    Base64-encoded image string. Supported formats: PNG, JPEG,
                    GIF, WebP
                only:
                  type: array
                  items:
                    type: string
                    enum:
                      - output_manipulation
                      - context_injection
                      - data_exfiltration
                      - unauthorized_actions
                  description: >-
                    Only detect these categories (mutually exclusive with
                    'exclude')
                exclude:
                  type: array
                  items:
                    type: string
                    enum:
                      - output_manipulation
                      - context_injection
                      - data_exfiltration
                      - unauthorized_actions
                  description: >-
                    Exclude these categories from detection (mutually exclusive
                    with 'only')
                minimum_confidence:
                  type: string
                  enum:
                    - medium
                    - high
                  description: >-
                    Minimum confidence level to include in results. Default:
                    'medium' (include all)
              required:
                - image
      responses:
        '200':
          description: Scan result
          content:
            application/json:
              schema:
                type: object
                properties:
                  is_safe:
                    type: boolean
                  reason:
                    type: string
                  categories:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                          enum:
                            - output_manipulation
                            - context_injection
                            - data_exfiltration
                            - unauthorized_actions
                        confidence:
                          type: string
                          enum:
                            - medium
                            - high
                      required:
                        - code
                        - confidence
                  request_id:
                    type: string
                  api_key_id:
                    type: string
                  request_units:
                    type: number
                  billed_request_units:
                    type: number
                  service_tier:
                    type: string
                    enum:
                      - low
                      - standard
                      - dedicated
                required:
                  - is_safe
                  - categories
                  - request_id
                  - api_key_id
                  - request_units
                  - billed_request_units
                  - service_tier
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '413':
          description: Payload too large
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````